- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# mpi_mbox Struct Reference

`#include <mpi.h>`

Collaboration diagram for mpi_mbox:

[legend]

## Data Fields
mpi_message * | msg
mpi_message * | msgLast
char | name [64]
mpi_mbox * | next
pidType | pid
mpi_mbox * | prev

## Detailed Description

Definition at line 45 of file mpi.h.

## Field Documentation

struct mpi_message* mpi_mbox::msg

Definition at line 48 of file mpi.h.

Referenced by mpi_fetchMessage(), mpi_postMessage(), and mpi_spam().

struct mpi_message* mpi_mbox::msgLast

Definition at line 49 of file mpi.h.

Referenced by mpi_postMessage(), and mpi_spam().

char mpi_mbox::name[64]

Definition at line 50 of file mpi.h.

Referenced by mpi_createMbox(), mpi_destroyMbox(), and mpi_findMbox().

struct mpi_mbox* mpi_mbox::next

Definition at line 46 of file mpi.h.

Referenced by mpi_createMbox(), mpi_destroyMbox(), mpi_findMbox(), and mpi_spam().

pidType mpi_mbox::pid

Definition at line 51 of file mpi.h.

Referenced by mpi_createMbox(), mpi_destroyMbox(), and mpi_fetchMessage().

struct mpi_mbox* mpi_mbox::prev

Definition at line 47 of file mpi.h.

Referenced by mpi_createMbox(), and mpi_destroyMbox().

The documentation for this struct was generated from the following file:

- src/sys/include/mpi/mpi.h